Αποστολέας Θέμα: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;  (Αναγνώστηκε 4973 φορές)

peter13

  • Θαμώνας
  • ***
  • Μηνύματα: 49
Θέλω να κάνω μία  εγκατάσταση joomla 3.2 για μία καινούρια ιστοσελίδα του σχολείου που με πήραν αναπληρωτή. Υπάρχει τρόπος (ή κάποιος διαφορετικός server) για να τοποθετηθεί εκεί η σελίδα;

peter13

  • Θαμώνας
  • ***
  • Μηνύματα: 49
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #1 στις: 05 Δεκ 2013, 01:43:24 μμ »
Ήταν εύκολα τελικά.
http://users.sch.gr/stzelepi/portal/index.php?option=com_content&view=article&id=40:php-sef-url-auto&catid=27&Itemid=141
Βέβαια στο helpdesk του sch.gr μου είπαν ότι απλά δε γίνεται...  :D

Δημήτρης Κανάς

  • Εκπαιδευτικός
  • Δεινόσαυρος
  • *****
  • Μηνύματα: 207
    • Εργαστήρι Δημοτικού Σχολείου
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #2 στις: 19 Δεκ 2013, 03:36:25 μμ »
Θα σου πρότεινα να δεις και το elxis CMS...


Μπορείς να βρεις και πληροφορίες που θα είναι χρήσιμες και για το joomla, αν το προτιμήσεις...

Δες και το συγκεκριμένο θέμα.

Νίκος Αδαμόπουλος

  • Γενικός διαχειριστής
  • *****
  • Μηνύματα: 2805
  • Πύργος Ηλείας
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #3 στις: 27 Μάι 2014, 11:52:14 μμ »
Τελικά ποια έκδοση της PHP χρησιμοποιεί το ΠΣΔ;

Στο users.sch.gr δείχνει: PHP Version 5.3.21
Στο xxxxx.ilei.sch.gr δείχνει: PHP Version 5.3.3

Μάλλον θα βρίσκονται σε διαφορετικούς εξυπηρετητές!
Δυστυχώς το joomla 3.3 απαιτεί την 5.3.10 για να κάνει εγκατάσταση!

if (version_compare(PHP_VERSION, '5.3.10', '<'))
{
   die('Your host needs to use PHP 5.3.10 or higher to run this version of Joomla!');
}


Έχει κανείς δοκιμάσει να επέμβει;

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 5448
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #4 στις: 28 Μάι 2014, 10:57:37 πμ »
https://alkisg.mysch.gr/temp/
PHP Version 5.2.12
SunOS wwwx02-users1n 5.10 Generic_139556-08 i86pc

Πάρε τις αντίστοιχες γραμμές από την phpinfo() στο xxxxx.ilei.sch.gr και άνοιξε δελτίο στο helpdesk να αναβαθμίσουν το σχετικό μηχάνημα...

VAIOS

  • Βετεράνος
  • ****
  • Μηνύματα: 63
  • Γράψτε το προσωπικό σας σλόγκαν!
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #5 στις: 28 Μάι 2014, 11:28:33 πμ »
Εγώ προχθές έβαλα τη php 5.4  στο .htaccess και το site πάει σφαίρα  (AddHandler php54 .php).
Έγινε και η αναβάθμιση σε joomla 3.3

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 5448
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #6 στις: 28 Μάι 2014, 11:46:34 πμ »
Α ναι σωστός το είχα ξεχάσει αυτό το μήνυμα του ΠΣΔ...
Παράθεση από: ΠΣΔ
Εναλλακτικά, μπορείτε να ορίσετε προσωρινά και μέχρι την αναβάθμιση του ιστοτόπου σας, την λειτουργία του με PHP 5.2.x. Για να γίνει αυτό θα πρέπει να δημιουργήσετε στον φάκελο στον οποίο είναι εγκατεστημένο το CMS, το αρχείο .htaccess με το ακόλουθο περιεχόμενο

           AddHandler php52 .php

Αν γίνεται ήδη χρήση του αρχείου .htaccess και σ’ αυτό έχει οριστεί η χρήση της έκδοσης 5.3.x της PHP μέσω της εντολής  AddHandler php53 .php, τότε, μετά τον ορισμό της PHP 5.3.x ως βασική έκδοση,  η συγκεκριμένη εντολή μπορεί να αφαιρεθεί.

Με AddHandler php53 .php μου βγάζει "PHP Version 5.3.21", ενώ με php54 μου βγάζει "Internal Server Error".

Wizard

  • Επισκέπτης
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #7 στις: 28 Μάι 2014, 09:30:09 μμ »
Α ναι σωστός το είχα ξεχάσει αυτό το μήνυμα του ΠΣΔ...
Με AddHandler php53 .php μου βγάζει "PHP Version 5.3.21", ενώ με php54 μου βγάζει "Internal Server Error".

http://www.sch.gr/2622-php

PHP 5.4 (αρχικά για τις μονάδες και σύντομα και για τους εκπαιδευτικούς)

Κατά ανάλογο τρόπο με την έκδοση 5.2 της PHP μπορεί να οριστεί και η χρήση της έκδοση 5.4 της PHP. Για να γίνει αυτό θα πρέπει και εδώ να δημιουργηθεί στον φάκελο στον οποίο είναι εγκατεστημένο το CMS, το αρχείο .htaccess με το ακόλουθο περιεχόμενο

AddHandler php54 .php

Ενημερώνουμε επίσης πως η έκδοση 5.2.x της PHP θα σταματήσει να λειτουργεί στους εξυπηρετητές του ΠΣΔ από την 1η Ιουλίου 2014, ημερομηνία μέχρι την οποία θα πρέπει να έχει ολοκληρωθεί η αναβάθμιση του ιστοτόπου σας σε νεότερη έκδοση συμβατή με την έκδοση 5.3.x της PHP.

ΥΓ: Μόλις το δοκίμασα για το σχολείο μου και τώρα έχω την 5.4.28 και είναι σημαντικά πιο γρήγορη η ιστοσελίδα (Joomla 3.2.4)!

Νίκος Αδαμόπουλος

  • Γενικός διαχειριστής
  • *****
  • Μηνύματα: 2805
  • Πύργος Ηλείας
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #8 στις: 28 Μάι 2014, 11:57:19 μμ »

AddHandler php54 .php

...
ΥΓ: Μόλις το δοκίμασα για το σχολείο μου και τώρα έχω την 5.4.28 ...

Ωραία! Μόλις το δοκίμασα κι εγώ και τώρα δείχνει το ίδιο:  PHP Version 5.4.28

kleopas

  • Νέος
  • *
  • Μηνύματα: 1
Απ: php 5.3 για ιστοσελίδα στο πανελλήνιο σχολικό δίκτυο;;
« Απάντηση #9 στις: 16 Απρ 2015, 02:35:21 μμ »
Παίρνω αφορμή από την παραπάνω συνομιλία σχετικά με την ενεργοποιήση της έκδοσης php 5.4 και έχω κάποιες απορίες σχετικά με τη διαδικασία, λόγω απειρίας. Γνωρίζω ότι απαιτείται ο κώδικας "AddHandler php54 .php" στο αρχείο .htaccess αλλά δεν κατάλαβα αν θα προστεθεί σε αυτό που ήδη υπάρχει στον κεντρικό φάκελο του joomla ή κάπου αλλού; Επιπλέον χρειάζομαι και μια καθοδήγηση για τη διαδικασία. Τέλος πώς θα διαπιστώσω αν τελικά έχω την έκδοση 5.4; Ευχαριστώ εκ των προτέρων.